//----------------------------------------------------------------------
//MODEULE: key16.h
//COMMON DESCRIPTION:
//  This module contain headers for key16.c
//----------------------------------------------------------------------
// Common declarations
//----------------------------------------------------------------------
#ifdef KEY16_ENABLED
  // Flags of keyboard
  #define KEY16_SHIFT_0		0x00
  #define KEY16_SHIFT_0P	0x01
  // Shift key on
  void key16_shift_on(unsigned char mshift);
  // Shift key off
  void key16_shift_off(unsigned char mshift);
  // Init 
  void key16_init();
  #define key16_init_mac() key16_init()
  // Timer 10ms
  void task_key16_timer();
  // Get last key
  signed int key16_get();
  //
  #ifndef GETCHAR
    #define GETCHAR() key16_get()
  #endif
#else
  #define key16_init_mac()
#endif
//----------------------------------------------------------------------
