//----------------------------------------------------------------------
//MODEULE: timer1.c
//COMMON DESCRIPTION:
//  This module provide interrupt and timer1 handling and controls. 
//----------------------------------------------------------------------
#include "avr/signal.h"
//
#ifdef TIMER1_ENABLED
//
void timer1_init()
  {// If enabled TIMER1 overflow interrupt  
   output(TCCR1A, 0x00);
   timer1_stop();
   //
   output(TIMSK,input(TIMSK) | (1 << OCIE1A)); // Enable Timer1 compare A interrupt
   output(TIFR, input(TIFR)  | (1 << OCIE1A)); // Reset Timer1 compare A interrupt
  }
//----------------------------------------------------------------------
  // Timer0 owerflow interrupt handler
 SIGNAL (SIG_OUTPUT_COMPARE1A)
  {//
   #ifdef KEYPAD40_PROGUART
   void keypad40_puart_timer_handler();
   keypad40_puart_timer_handler();
   #endif
   //
  }
//----------------------------------------------------------------------
#endif  
//----------------------------------------------------------------------
