//----------------------------------------------------------------------
// MODEULE: editor.c
// COMMON DESCRIPTION:
//   This module contain declaration for used string editor
//----------------------------------------------------------------------

//----------------------------------------------------------------------
#ifdef  EDITOR_ENABLED
//----------------------------------------------------------------------
// Init string editor
//----------------------------------------------------------------------
void editor_init_str(sEDITSTR* sed,char x, char y, char swide, char* strinit)
  {strcpy(sed->editstr, strinit);
   sed->curpos=0;
   sed->show_wide=swide;
   sed->xb_pos = x;
   sed->yb_pos = y;
   sed->begpos = 0;
  }
//----------------------------------------------------------------------
void editor_show(sEDITSTR* sed)
  {unsigned char i=0;
   //
   EDITOR_CURAT(sed->xb_pos,sed->yb_pos);
   //
   while((i<sed->show_wide)&&(sed->editstr[sed->begpos+i]))
     {EDITOR_OUTC(sed->editstr[sed->begpos+i]);i++;}
   while(i<sed->show_wide)
     {EDITOR_OUTC(' ');i++;}
   //
   EDITOR_CURAT(sed->xb_pos+(sed->curpos-sed->begpos),sed->yb_pos);
  }
//----------------------------------------------------------------------
signed int editor_run(sEDITSTR* sed)
  {signed int ch;
   signed int excod;
   //
   while(1)
     {editor_show(sed);
      //
      while((ch=EDITOR_GETC())<0){}
      //
      if(ch==EDITOR_KEY_PREV)
        {if(sed->curpos)
	   {if(sed->curpos==sed->begpos)
	      {sed->begpos--;}
	    sed->curpos--;
	   }
	}
      else if(ch==EDITOR_KEY_NEXT)
        {if(sed->editstr[sed->curpos+1])
	   {sed->curpos++;
	    if((sed->begpos + sed->show_wide) <= sed->curpos)
	      {sed->begpos = sed->curpos - sed->show_wide+1;}
	   }
	}
      else if(ch==EDITOR_KEY_ENTER)
        {// Exit menu enter
	 excod=0;
         break;
        }
      else if(ch==EDITOR_KEY_ESC)
        {// Exit menu
	 excod=1;
         break;
        }
      else if(ch==EDITOR_KEY_HOME)
        {// Home key
         sed->curpos=sed->begpos=0;
        }
      else if(ch==EDITOR_KEY_END)
        {// End menu
         sed->curpos = strlen(sed->editstr)-1;
	 if(sed->show_wide <= sed->curpos)
	   {sed->begpos = sed->curpos - sed->show_wide+1;}
	 else
	   {sed->begpos = 0;}
        }
      else
        {// Edit string
	 if((ch>='0')&&(ch<='9'))
	   {sed->editstr[sed->curpos] = ch;
	    //
	    if(sed->editstr[sed->curpos+1])
	      {sed->curpos++;
	       if((sed->begpos + sed->show_wide) <= sed->curpos)
	         {sed->begpos = sed->curpos - sed->show_wide+1;}
		 
	      }
	   }
	}
     }
    return(excod);
  }
//----------------------------------------------------------------------
#endif  /* EDITOR_ENABLED */
//----------------------------------------------------------------------
