//----------------------------------------------------------------------
// MODEULE: editor.h
// COMMON DESCRIPTION:
//   This module contain declaration for used string editor
//----------------------------------------------------------------------

//----------------------------------------------------------------------
#ifdef  EDITOR_ENABLED
//----------------------------------------------------------------------
#define editor_init_mac()
//----------------------------------------------------------------------
typedef struct sEDITSTR
  {// String data
   unsigned char	editstr[EDITOR_MAXSTRLEN+1];  // string for edit
   unsigned char	curpos;   // Current position of cursor in string
   // Shown data
   unsigned char	show_wide; // How many symbols shown in screen
   unsigned char	xb_pos;    // X-coord of begin of string
   unsigned char	yb_pos;    // Y-coord of begin of string
   unsigned char	begpos;    // Begin position
  }sEDITSTR;
//----------------------------------------------------------------------
// init edit string
void editor_init_str(sEDITSTR* sed,char x, char y, char swide, char* strinit);
// show edit string
void editor_show(sEDITSTR* sed);
// run main loop
// returns:
//	0 - exit on ENTER
//	1 - exit on ESC
signed int editor_run(sEDITSTR* sed);
//----------------------------------------------------------------------
#else
#define editor_init_mac()
//----------------------------------------------------------------------
#endif  /* EDITOR_ENABLED */
//----------------------------------------------------------------------
