//----------------------------------------------------------------------
//MODEULE: res_timer1.h
//COMMON DESCRIPTION:
//  This module contain declaration for used timer1
//----------------------------------------------------------------------
// Resourse TIMER1
// TIMER1_ENABLED - if it symbol defined then TIMER1 will be inited and enabled
// TIMER1_TCCR    - it mean output to TCCR0 port (clock devider) on init time
// TIMER1_DEVIDER - it is devider of CLK for using on timin calculates
// -------------------------------------------------------------------
#define TIMER1_ENABLED
#define TIMER1_TCCR1B     (1<<CS10)
// Calculate devider t - period in microsec
#define TIMER1_DEVIDER(t) (F_CLK / 1000L)*(t))/1000L
// Calculate devider s - speed (bit/sec)
#define TIMER1_DEV_UART(s) (F_CLK / s)
//----------------------------------------------------------------------
