//----------------------------------------------------------------------
// MODEULE: res_uart.h
// COMMON DESCRIPTION:
//   This module contain declaration for internal UART
//----------------------------------------------------------------------
// UART0 definitions
#define UART0_ENABLED
//----------------------------------------------------------------------
#ifdef  UART0_ENABLED
//----------------------------------------------------------------------
// Default speed
#define UART0_DEF_SPD     9600
// If defined UART0_SPD_CONST, speed can't changed, else speed may be
// changed with void uart0_setspeed(unsigned int speed); speed - in Bits/s
//#define UART_SPD0_CONST   UART0_DEF_SPD
// If defined UART0_BUFFERS_ENABLED input and output used buffers
#define UART0_BUFFERS_ENABLED
// Buffer length (only if defined UART0_BUFFERS_ENABLED, else do nothig)
#define UART0_BUFFERS_LEN 0x20
// Uart Strings Support
#define UART0_STR_ENABLED
//----------------------------------------------------------------------
#endif /* UART0_ENABLED */
//----------------------------------------------------------------------
// *********************************************************************
//----------------------------------------------------------------------
// UART1 definitions
// #define UART1_ENABLED
//----------------------------------------------------------------------
#ifdef  UART1_ENABLED
//----------------------------------------------------------------------
// Default speed
#define UART1_DEF_SPD     9600
// If defined UART1_SPD_CONST, speed can't changed, else speed may be
// changed with void uart0_setspeed(unsigned int speed); speed - in Bits/s
//#define UART1_SPD_CONST   UART1_DEF_SPD
// If defined UART1_BUFFERS_ENABLED input and output used buffers
#define UART1_BUFFERS_ENABLED
// Buffer length (only if defined UART_BUFFERS_ENABLED, else do nothig)
#define UART1_BUFFERS_LEN 0x20
// Uart Strings Support
#define UART1_STR_ENABLED
//----------------------------------------------------------------------
#endif /* UART1_ENABLED */
//----------------------------------------------------------------------
