//----------------------------------------------------------------------
//MODEULE: res_wp1602_ni15.h
//COMMON DESCRIPTION:
// This module contain supprt PLED modeule  WP1602 (16symbols, 2 Lines),
// connected with NI-15 bus.
//----------------------------------------------------------------------
//  This module contain supprt PLED modeule  WP1602 (16symbols, 2 Lines),
// connected with NI-15 bus.
//  ----------------------------------------
//  WP1602 sygnal     |         NI-15 sygnal
//  ----------------------------------------
//  1. Vss (0V)       |    1.  GND (0V)
//  2. Vdd (+5V)      |    15. Vcc (+5V)
//  3. Vbt (bright)   |    0V - +5V (variable)
//  4. RS             |    4.  M_IO
//  5. R_W            |    1.  GND (0V)
//  6. E              |    6.  _WR or adress
//                    |        decoder 
//  7. DB0            |    7.  D0
//  8. DB1            |    8.  D1
//  9. DB2            |    9.  D2
//  10.DB3            |    10. D3
//  11.DB4            |    11. D4
//  12.DB5            |    12. D5
//  13.DB6            |    13. D6
//  14.DB7            |    14. D7
//  ----------------------------------------
//----------------------------------------------------------------------
// #define WP1602_NI15_ENABLED
//----------------------------------------------------------------------
#ifdef WP1602_NI15_ENABLED
    // Blink cursor after init
    //#define WP1602_NI15_BLINK_CURSOR
    // Show cursor after init
    //#define WP1602_NI15_SHOW_CURSOR
    // Adress, if _WR signal connect via adress decoder
    #define WP1602_NI15_ADR  0x00
    // Columns
    #define WP1602_NI15_COLS 0x10
    // Rows
    #define WP1602_NI15_ROWS 0x02
    // Byte per one row 
    #define WP1602_NI15_BPR  0x40
    // Start message string 0 (not lage than 0x10 symbols)
    #define WP1602_NI15_SM0 "ScanFlash v0.0.1"
    // Start message string 1 (not lage than 0x10 symbols)
    #define WP1602_NI15_SM1 "NedoPC-90.AVROS"
#endif
//----------------------------------------------------------------------
