//----------------------------------------------------------------------
//MODEULE: int0.h
//COMMON DESCRIPTION:
//  This module contain headers for int0.c
//----------------------------------------------------------------------
// Common declarations
//----------------------------------------------------------------------
#ifdef INT0_ENABLED
  void int0_init();
  #define int0_init_mac() int0_init()
  //    int0
  #define int0_disable() output(GIMSK,input(GIMSK) & (~(1 << INT0)));
  //   int0
  #define int0_enable() \
    {unsigned char __tsreg=input(SREG); \
     output(GIMSK,input(GIMSK) | (1 << INT0)); \
     output(GIFR, input(GIFR)  | (1 << INT0)); \
     output(SREG,__tsreg); \
    }
#else
  #define int0_init_mac()
#endif
//----------------------------------------------------------------------
