//----------------------------------------------------------------------
//MODEULE: timer.h
//COMMON DESCRIPTION:
//  This module contain headers for timer.c
//----------------------------------------------------------------------
// Common declarations
//----------------------------------------------------------------------
#ifdef TIMER1_ENABLED
  void timer1_init();
  #define timer1_init_mac() timer1_init()
  // Start timer
  #define timer1_start() output(TCCR1B, (1<<CTC1) | TIMER1_TCCR1B);
  // Stop timer
  #define timer1_stop()  output(TCCR1B, 0x00);
  // Reset timer 
  #define timer1_reset() output(TCNT1,0);
  // Set new devider
  #define timer1_setdevider(x) output(OCR1A, x);
			       

#else
  #define timer1_init_mac()
#endif
//----------------------------------------------------------------------
