//----------------------------------------------------------------------
// MODEULE: res_editor.h
// COMMON DESCRIPTION:
//   This module contain declaration for used string editor
//----------------------------------------------------------------------

//----------------------------------------------------------------------
// #define EDITOR_ENABLED
//----------------------------------------------------------------------
#ifdef  EDITOR_ENABLED
//----------------------------------------------------------------------
// Macroses for output on screen
//----------------------------------------------------------------------
// Position of cursor
#define EDITOR_CURAT(x,y) wp1602_ni15_curat(x, y)
// Output one char
#define EDITOR_OUTC(c)	wp1602_ni15_outc(c)
// Get symbol for menu control
//----------------------------------------------------------------------
// Get symbol from keyboard 
// (return as 'signed int' symbol code or -1 if no key pressed)
//----------------------------------------------------------------------
#define EDITOR_GETC()	key16_get()
//----------------------------------------------------------------------
#define EDITOR_MAXSTRLEN	0x10
//----------------------------------------------------------------------
// Keyboard definitions
//----------------------------------------------------------------------
#define EDITOR_KEY_PREV	 '*' /* Key for jumping to previous menu item */
#define EDITOR_KEY_NEXT	 '#' /* Key for jumping to next menu item */
#define EDITOR_KEY_ENTER 'D' /* Key for execute menu item */
#define EDITOR_KEY_ESC	 'C' /* Key for exit from menu */
#define EDITOR_KEY_HOME	 'A' /* Key for HOME */
#define EDITOR_KEY_END	 'B' /* Key for END */
//----------------------------------------------------------------------
#endif  /* EDITOR_ENABLED */
//----------------------------------------------------------------------
