//----------------------------------------------------------------------
// MODEULE: res_spi.h
// COMMON DESCRIPTION:
//   This module contain declaration for used SPI interface (as master or slave)
//----------------------------------------------------------------------
//   Resorce of SPI:
// SPI_ENABLED - if it symbol defined then SPI will be inited and enabled
//----------------------------------------------------------------------
// #define SPI_ENABLED
//----------------------------------------------------------------------
#ifdef  SPI_ENABLED
//----------------------------------------------------------------------
// if defined SPI_MASTER, then SPI will be configured as master,
// else SPI will be configured as slave 
#define SPI_MASTER
// Data direction registers for SPI
#define SPI_DDR		DDRB
#define SPI_PORT	PORTB
#define SPI_PIN		PINB
//
#define SPI_SS		0
#define SPI_SCK		1
#define SPI_MOSI	2
#define SPI_MISO	3
//----------------------------------------------------------------------
#endif  /* SPI_ENABLED */
//----------------------------------------------------------------------
